Bug 443814 - Add a "blocked" status to Bug Status Change in bugzilla
Add a "blocked" status to Bug Status Change in bugzilla
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
devel
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: Jeff Fearn
na
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 10:35 EDT by wes hayutin
Modified: 2012-06-21 02:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 02:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ss (225.17 KB, image/png)
2008-04-23 10:43 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2008-04-23 10:35:24 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 wes hayutin 2008-04-23 10:43:47 EDT
Created attachment 303499 [details]
ss
Comment 2 wes hayutin 2008-04-23 10:44:57 EDT
yikes.. slipped and hit enter.. :)

So.. Currently in buzilla there is no way to indicate by status that a bug is
blocked.  The current list of available status are:
ASSIGNED
NEEDINFO
MODIFIED
ON_DEV
VERIFIED
FAILS_QA
RELEASE_PENDING
POST

I am proposing that we add "BLOCKED" 

This would indicate that bug is blocked by another unresolved bug, and that
testing can not continue until the parent bug is fixed.

Even better if the parent bug is moved to on_qa the child bug also then
automatically moves to on_qa.

So I suspect that the blocker field would be required to be filled out if
blocker status is chosen.
Comment 3 wes hayutin 2008-04-28 10:24:12 EDT
Jeff Weiss made a good point that the child bugs should only be moved back to
on_qa when the parent blocker has been moved to verified..

thanks
Comment 4 David Lawrence 2008-04-28 13:32:11 EDT
How is just having the proper bug id in the proper dependencies field not
adequate  for this requirement? FWIW, the upcoming 3.2 release of Bugzilla will
actually enforce this on the backend. Meaning that the parent bug cannot be
resolved until the child bugs are resolved.

I am against adding additional bug statuses with out proper reasons since we
have been trying to scale back the amount of statuses. We are tying to utilize
other fields as much as possible to mean new things. For example, we used to
have a REOPENED bug status. Now we just put the bug to ASSIGNED and add a
keyword of Reopened which accomplishes the same. We could add a keyword of
Blocked if you think that would make it more obvious.

Dave
Comment 5 wes hayutin 2008-04-28 15:37:11 EDT
Well here is the logic to a "Blocked" status.

If you are unable to test a bug because the function is not ready or broken its
really not ON_QA.  The bug is not waiting for QA to do anything, the bug is
really waiting on development to fix something that is related.   Its also hard
to make the case that a blocked bug is ON_DEV.  I am sure at every qa or dev
meeting where  teams have to give a status on how many bugs are on their plates,
you will hear.. I have 20 bugs bug seven of them are blocked by bug #xyz.  If a
developer or tester cant work on a bug, it requires a status other whats available. 

Having the proper bug id in the dependencies really doesn't have anything to do
with the bugs status.  You may be able to infer the status of the child bug by
reading the parents bugs, but that is a waste of time.

Making sure you cant resolve the parent bug w/o the child bugs is a nice feature
but also unrelated.  The point of ON_QA/DEV vs Blocked is to find out which bugs
are available to be worked on.

Thanks
Comment 6 Jeff Fearn 2012-05-30 00:37:01 EDT
As part of the recent Bugzilla 2.4 upgrade the Bugzilla team are cleaning up bugs opened against old versions of Bugzilla. This bug has been flagged as an old bug and will be CLOSED WONTFIX in 7 days time.

If you believe this bug is an issue in the latest Bugzilla version please comment on this bug within 7 days. Doing so will ensure this bug is not closed automatically.

Thanks, the Bugzilla team.
Comment 7 Jeff Fearn 2012-06-21 02:54:15 EDT
Closing inactive bugs are part of Bugzilla cleanup.

Note You need to log in before you can comment on or make changes to this bug.